GetLocalizationStatusesResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetLocalizationStatusesResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetLocalizationStatusesResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetLocalizationStatusesResponse

@Public @Unstable public abstract class GetLocalizationStatusesResponse extends Object
The response sent by the node manager to an application master when localization statuses are requested.

See Also:
  - `ContainerManagementProtocol.getLocalizationStatuses(GetLocalizationStatusesRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetLocalizationStatusesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException>`
  `getFailedRequests()`
  Get the containerId-to-exception map in which the exception indicates error from per container for failed requests.
  `abstract Map<ContainerId,List<LocalizationStatus>>`
  `getLocalizationStatuses()`
  Get all the container localization statuses.
  `static GetLocalizationStatusesResponse`
  `newInstance(Map<ContainerId,List<LocalizationStatus>> statuses, Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedRequests)`
  `abstract void`
  `setFailedRequests(Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedContainers)`
  Set the containerId-to-exception map in which the exception indicates error from per container for failed request.
  `abstract void`
  `setLocalizationStatuses(Map<ContainerId,List<LocalizationStatus>> statuses)`
  Sets the container localization statuses.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetLocalizationStatusesResponse

    public GetLocalizationStatusesResponse()

- ## Method Details

  - ### newInstance

    public static GetLocalizationStatusesResponse newInstance(Map<ContainerId,List<LocalizationStatus>> statuses, Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedRequests)

  - ### getLocalizationStatuses

    public abstract Map<ContainerId,List<LocalizationStatus>> getLocalizationStatuses()
    Get all the container localization statuses.
    Returns:
      container localization statuses.

  - ### setLocalizationStatuses

    @Private public abstract void setLocalizationStatuses(Map<ContainerId,List<LocalizationStatus>> statuses)
    Sets the container localization statuses.
    Parameters:
      `statuses` - container localization statuses.

  - ### getFailedRequests

    @Private public abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> getFailedRequests()
    Get the containerId-to-exception map in which the exception indicates error from per container for failed requests.
    Returns:
      map of containerId-to-exception

  - ### setFailedRequests

    @Private public abstract void setFailedRequests(Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> failedContainers)
    Set the containerId-to-exception map in which the exception indicates error from per container for failed request.
    Parameters:
      `failedContainers` - containerId-to-exception map.